-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.7.18


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema pruebas
--

-- CREATE DATABASE IF NOT EXISTS pruebas;
-- USE pruebas;

--
-- Definition of table `date_holidays`
--

DROP TABLE IF EXISTS `date_holidays`;
CREATE TABLE `date_holidays` (
  `id_date_holidays` int(11) NOT NULL AUTO_INCREMENT,
  `holiday` date NOT NULL,
  `title` varchar(60) DEFAULT NULL,
  PRIMARY KEY (`id_date_holidays`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `date_holidays`
--

/*!40000 ALTER TABLE `date_holidays` DISABLE KEYS */;
INSERT INTO `date_holidays` (`id_date_holidays`,`holiday`,`title`) VALUES 
 (1,'2021-07-05','Fiesta'),
 (2,'2021-07-15','birthday Lola'),
 (3,'2021-07-21','birthday Ángel');
/*!40000 ALTER TABLE `date_holidays` ENABLE KEYS */;

--
-- Definition of table `date_users`
--

DROP TABLE IF EXISTS `date_users`;
CREATE TABLE `date_users` (
  `id_date_user` int(11) NOT NULL AUTO_INCREMENT,
  `login` varchar(16) NOT NULL,
  `password` varchar(60) NOT NULL,
  `name` varchar(60) NOT NULL,
  `rol` varchar(10) NOT NULL DEFAULT 'user',
  `total_days_vacation` int(11) NOT NULL,
  PRIMARY KEY (`id_date_user`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `date_users`
--

/*!40000 ALTER TABLE `date_users` DISABLE KEYS */;
INSERT INTO `date_users` (`id_date_user`,`login`,`password`,`name`,`rol`,`total_days_vacation`) VALUES 
 (1,'admin','admin','administrator','admin',23),
 (2,'user1','user1','User 1','user',23);
/*!40000 ALTER TABLE `date_users` ENABLE KEYS */;



--
-- Definition of table `date_permissions`
--

DROP TABLE IF EXISTS `date_permissions`;
CREATE TABLE `date_permissions` (
  `id_date_permissions` int(11) NOT NULL AUTO_INCREMENT,
  `date_user_id` int(11) NOT NULL,
  `date_init` date NOT NULL,
  `date_end` date NOT NULL,
  `natural_days` int(11) DEFAULT NULL,
  `business_days` int(11) DEFAULT NULL,
  `holidays` int(11) DEFAULT NULL,
  `weekdays` int(11) DEFAULT NULL,
  PRIMARY KEY (`id_date_permissions`),
  KEY `fk_date_permissions_date_user_idx` (`date_user_id`),
  CONSTRAINT `fk_date_permissions_date_user` FOREIGN KEY (`date_user_id`) REFERENCES `date_users` (`id_date_user`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `date_permissions`
--

/*!40000 ALTER TABLE `date_permissions` DISABLE KEYS */;
INSERT INTO `date_permissions` (`id_date_permissions`,`date_user_id`,`date_init`,`date_end`,`natural_days`,`business_days`,`holidays`,`weekdays`) VALUES 
 (6,1,'2021-07-01','2021-07-25',25,14,3,8),
 (7,2,'2021-07-01','2021-07-05',5,2,1,2),
 (8,2,'2021-07-14','2021-07-22',9,5,2,2);
/*!40000 ALTER TABLE `date_permissions` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
